com.holonplatform.core.query

## Interface QueryOperation<C extends QueryConfiguration,R>

- Type Parameters:
    `C` - Query configuration type
    `R` - Query result type
  All Superinterfaces:
    Expression, TypedExpression<R>

      public interface QueryOperation<C extends QueryConfiguration,R>
      extends TypedExpression<R>

  Represent a query operation expression, providing query configuration and projection.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <C extends QueryConfiguration,R> QueryOperation<C,R>` | `create(C configuration, QueryProjection<R> projection)` Create a new `QueryOperation`.
    `C` | `getConfiguration()` Get the query configuration.
    `QueryProjection<R>` | `getProjection()` Get the query projection.

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getTemporalType, getType, isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### getConfiguration

          C getConfiguration()

      Get the query configuration.
      Returns:
        the query configuration

    - #### getProjection

          QueryProjection<R> getProjection()

      Get the query projection.
      Returns:
        the query projection

    - #### create

          static <C extends QueryConfiguration,R> QueryOperation<C,R> create(C configuration,
                                                                             QueryProjection<R> projection)

      Create a new `QueryOperation`.
      Type Parameters:
        `C` - Query configuration type
        `R` - Query result type
      Parameters:
        `configuration` - Query configuration (not null)
        `projection` - Query projection (not null)
      Returns:
        A new `QueryOperation`

Copyright © 2019 The Holon Platform. All rights reserved.